#include <bits/stdc++.h>
using namespace std;

string readLine() {
    string s;
    assert(getline(cin, s));
    return s;
}

void assertEOF() {
    string s;
    assert(!getline(cin, s));
}

vector<string> readTokens(char delim) {
    string s = readLine();
    if (s.empty()) return {};

    vector<string> tokens(1);
    for (char c: s) {
        if (c == delim) tokens.push_back("");
        else tokens.back().push_back(c);
    }
    return tokens;
}

void assertNumber(string s) {
    assert(s[0] == '+' || s[0] == '-' || isdigit(s[0]));
    for (int i = 1; i < s.size(); i++) assert(isdigit(s[i]));
    if (!isdigit(s[0])) s.erase(0);
    assert(s.size() != 0);
    assert(s.size() == 1 || s[0] != '0');
}

vector<long long> longlongTokens(char delim) {
    vector<string> a = readTokens(delim);
    vector<long long> b;
    for (string& s: a) {
        assertNumber(s);
        b.push_back(stoll(s));
    }
    return b;
}

void solve(int d1, int c1, int d2, int c2, int d3, int c3) {
    int a1 = d1-c1-c1;
    int a2 = d2-c2-c2;
    int a3 = d3-c3-c3;

    if (a1 > a2) {
        swap(a1, a2);
        swap(d1, d2);
    }
    if (a2 > a3) {
        swap(a2, a3);
        swap(d2, d3);
    }
    if (a1 > a2) {
        swap(a1, a2);
        swap(d1, d2);
    }

    int ans = d1+d2+d3;
    if (a3 >= d1) ans = d3+d2;
    if (a3 >= d2) ans = d3+d1;
    if (a3 >= d2 && a2 >= d1) ans = d3;
    if (a3 >= d1+d2) ans = d3;
    cout << ans << endl;
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    vector<long long> line1 = longlongTokens(' ');
    vector<long long> line2 = longlongTokens(' ');
    vector<long long> line3 = longlongTokens(' ');
    assert(line1.size() == 2);
    assert(line2.size() == 2);
    assert(line3.size() == 2);
    assertEOF();

    int d1 = line1[0];
    int c1 = line1[1];
    assert(1 <= d1 && d1 <= 1000);
    assert(1 <= c1 && d1-c1-c1 >= 1);

    int d2 = line2[0];
    int c2 = line2[1];
    assert(1 <= d2 && d2 <= 1000);
    assert(1 <= c2 && d2-c2-c2 >= 1);

    int d3 = line3[0];
    int c3 = line3[1];
    assert(1 <= d3 && d3 <= 1000);
    assert(1 <= c3 && d3-c3-c3 >= 1);

    solve(d1, c1, d2, c2, d3, c3);

    return 0;
}
